package com.community.huiju.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import com.baomidou.mybatisplus.core.metadata.IPage;

import com.community.huiju.model.TaUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface TaUserMapper extends BaseMapper<TaUser> {

    /**
     * 获取已认证通过的
     * @param map
     * @param page
     * @return
     */
    List<Map<Object,Object>> selectUserApprove(Map<Object, Object> map, IPage page);
    
    /**
     * 查看是否有未认证数据
     * @param ownerTel
     * @return
     */
    TaUser selectByTel(@Param("loginName") String ownerTel);
    
    int batchUpdate(List<TaUser> updataTaUserList);
    
    /**
     * 更新角色为业主
     * @param updataTaUserList
     * @return
     */
    int batchUpdateRole(List<TaUser> updataTaUserList);

    /**
     * 根据手机得到用户ID
     * @param ownerTel
     * @return
     */
    Integer getUserID(@Param("ownerTel") String ownerTel);

    /**
     * 查询是否有关联的租客或则家属
     * @param userId
     * @return
     */
    List<TaUser> selectUser(@Param("id")Integer userId);
    /**
     * 查询到工单创建人名字
     */
    String selectLongNameAndcommunityId(@Param("createUser")Integer createUser);
}